# This script was automatically generated from the dsa-632
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Stephen Dranger discovered a buffer overflow in linpopup, an X11 port
of winpopup, running over Samba, that could lead to the execution of
arbitrary code when displaying a maliciously crafted message.
For the stable distribution (woody) this problem has been fixed in
version 1.2.0-2woody1.
For the unstable distribution (sid) this problem has been fixed in
version 1.2.0-7.
We recommend that you upgrade your linpopup package.


Solution : http://www.debian.org/security/2005/dsa-632
Risk factor : High';

if (description) {
 script_id(16129);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "632");
 script_cve_id("CAN-2004-1282");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2005 Michel Arboi");
 script_name(english: "[DSA632] DSA-632-1 linpopup");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-632-1 linpopup");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'linpopup', release: '3.0', reference: '1.2.0-2woody1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package linpopup is vulnerable in Debian 3.0.\nUpgrade to linpopup_1.2.0-2woody1\n');
}
if (deb_check(prefix: 'linpopup', release: '3.2', reference: '1.2.0-7')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package linpopup is vulnerable in Debian sid.\nUpgrade to linpopup_1.2.0-7\n');
}
if (deb_check(prefix: 'linpopup', release: '3.0', reference: '1.2.0-2woody1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package linpopup is vulnerable in Debian woody.\nUpgrade to linpopup_1.2.0-2woody1\n');
}
if (w) { security_hole(port: 0, data: desc); }
